classification
Title: Allow to specialize smart quotes in documentation translations
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, ezio.melotti, inada.naoki, mdk, terry.reedy, willingc
Priority: normal Keywords: patch

Created on 2017-10-15 09:49 by mdk, last changed 2018-11-05 21:20 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4006 merged python-dev, 2017-10-15 09:55
PR 4324 merged python-dev, 2017-11-07 16:48
PR 4325 merged python-dev, 2017-11-07 16:49
Messages (7)
msg304429 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2017-10-15 09:49
It would be great to allow each translation to specify their smart-quotes configuration, typically Japanese prefer no smart-quotes:

- https://github.com/python/docsbuild-scripts/issues/32

It's easily done by adding a Doc/docutils.conf file, I'm opening a PR.
msg304666 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-10-20 17:34
Patch is trivial two lines but needs review and merge from someone familiar with Sphinx stuff.

[Éric, https://docs.python.org/devguide/experts.html contains the invalid Eric.Araujo]
msg305779 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-11-07 16:46
New changeset 5a66c8a64d180b5f3c80307924adaec53cc8faa3 by INADA Naoki (Julien Palard) in branch 'master':
bpo-31793: Doc: Specialize smart-quotes for Japanese (GH-4006)
https://github.com/python/cpython/commit/5a66c8a64d180b5f3c80307924adaec53cc8faa3
msg305782 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-11-07 16:53
New changeset 47eaaa55247b6ad8ae507c0048509c2e3db79bf0 by INADA Naoki (Miss Islington (bot)) in branch '2.7':
bpo-31793: Doc: Specialize smart-quotes for Japanese (GH-4006)
https://github.com/python/cpython/commit/47eaaa55247b6ad8ae507c0048509c2e3db79bf0
msg305783 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-11-07 16:55
New changeset 64f10492dcda4117ac06399ae46ab645cb09b19e by INADA Naoki (Miss Islington (bot)) in branch '3.6':
bpo-31793: Doc: Specialize smart-quotes for Japanese (GH-4006)
https://github.com/python/cpython/commit/64f10492dcda4117ac06399ae46ab645cb09b19e
msg305785 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2017-11-07 16:59
Thanks, Julien.
msg314329 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-03-23 21:20
Reopening as smart quotes is still a source of bugs in Japanese translation, see: https://github.com/python/docsbuild-scripts/issues/32#issuecomment-375801129
History
Date User Action Args
2018-11-05 21:20:59mdksetstatus: open -> closed
2018-03-23 21:20:26mdksetstatus: closed -> open

messages: + msg314329
2017-11-07 16:59:15inada.naokisetstatus: open -> closed
versions: + Python 2.7
messages: + msg305785

resolution: fixed
stage: patch review -> resolved
2017-11-07 16:55:11inada.naokisetmessages: + msg305783
2017-11-07 16:53:26inada.naokisetmessages: + msg305782
2017-11-07 16:49:13python-devsetpull_requests: + pull_request4282
2017-11-07 16:48:14python-devsetpull_requests: + pull_request4281
2017-11-07 16:46:55inada.naokisetnosy: + inada.naoki
messages: + msg305779
2017-10-20 17:34:29terry.reedysetnosy: + terry.reedy, willingc, eric.araujo, ezio.melotti
messages: + msg304666
2017-10-15 09:55:25python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request3980
2017-10-15 09:49:48mdkcreate